TICKIT_PENATTR_TYPE(3)

NAME
tickit_penattr_type - return the type of a pen attribute

SYNOPSIS
    #include <tickit.h>

    TickitPenAttrType tickit_penattr_type(TickitPenAttr attr);

Link with -ltickit.

DESCRIPTION
tickit_penattr_type() returns the type of the given pen attribute, as one of the constants TICKIT_PENTYPE_BOOL, TICKIT_PENTYPE_INT or TICKIT_PENTYPE_COLOUR.

RETURN VALUE
tickit_penattr_type() returns a pen attribute type value.

SEE ALSO
tickit_pen(7), tickit(7)